Bug 1419703 - gdb/nat/x86-linux-dregs.c:146: internal-error: void x86_linux_update_debug_registers(lwp_info*): Assertion `lwp_is_stopped (lwp)' failed
Summary: gdb/nat/x86-linux-dregs.c:146: internal-error: void x86_linux_update_debug_re...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gdb
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Kratochvil
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e78adebb2e7cd965defe996b366...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-06 19:49 UTC by Robin Green
Modified: 2019-05-16 18:47 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:28:17 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (73.75 KB, text/plain)
2017-02-06 19:49 UTC, Robin Green
no flags Details
File: cgroup (242 bytes, text/plain)
2017-02-06 19:49 UTC, Robin Green
no flags Details
File: core_backtrace (6.75 KB, text/plain)
2017-02-06 19:49 UTC, Robin Green
no flags Details
File: dso_list (25.73 KB, text/plain)
2017-02-06 19:49 UTC, Robin Green
no flags Details
File: environ (3.76 KB, text/plain)
2017-02-06 19:49 UTC, Robin Green
no flags Details
File: limits (1.29 KB, text/plain)
2017-02-06 19:49 UTC, Robin Green
no flags Details
File: maps (65.99 KB, text/plain)
2017-02-06 19:49 UTC, Robin Green
no flags Details
File: mountinfo (3.61 KB, text/plain)
2017-02-06 19:49 UTC, Robin Green
no flags Details
File: namespaces (102 bytes, text/plain)
2017-02-06 19:49 UTC, Robin Green
no flags Details
File: open_fds (4.88 KB, text/plain)
2017-02-06 19:49 UTC, Robin Green
no flags Details
File: proc_pid_status (1.11 KB, text/plain)
2017-02-06 19:49 UTC, Robin Green
no flags Details
File: var_log_messages (302 bytes, text/plain)
2017-02-06 19:49 UTC, Robin Green
no flags Details

Description Robin Green 2017-02-06 19:49:14 UTC
Description of problem:
I typed "record" and then "cont".

Version-Release number of selected component:
gdb-headless-7.12.1-41.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        gdb --args emacs 'Identity Cards Act 2006.mw'
crash_function: dump_core
executable:     /usr/libexec/gdb
global_pid:     26513
kernel:         4.9.6-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 dump_core at ../../gdb/utils.c:568
 #3 internal_vproblem(internal_problem *, const char *, int, const char *, typedef __va_list_tag __va_list_tag *) at ../../gdb/utils.c:779
 #4 internal_verror at ../../gdb/utils.c:805
 #5 internal_error at ../../gdb/common/errors.c:55
 #6 x86_linux_update_debug_registers at ../../gdb/nat/x86-linux-dregs.c:146
 #7 linux_resume_one_lwp_throw at ../../gdb/linux-nat.c:1622
 #8 linux_resume_one_lwp at ../../gdb/linux-nat.c:1677
 #9 linux_nat_resume at ../../gdb/linux-nat.c:1878
 #10 record_full_wait_1 at ../../gdb/record-full.c:1174
 #11 record_full_wait at ../../gdb/record-full.c:1346

Comment 1 Robin Green 2017-02-06 19:49:22 UTC
Created attachment 1248132 [details]
File: backtrace

Comment 2 Robin Green 2017-02-06 19:49:23 UTC
Created attachment 1248133 [details]
File: cgroup

Comment 3 Robin Green 2017-02-06 19:49:25 UTC
Created attachment 1248134 [details]
File: core_backtrace

Comment 4 Robin Green 2017-02-06 19:49:27 UTC
Created attachment 1248135 [details]
File: dso_list

Comment 5 Robin Green 2017-02-06 19:49:29 UTC
Created attachment 1248136 [details]
File: environ

Comment 6 Robin Green 2017-02-06 19:49:31 UTC
Created attachment 1248137 [details]
File: limits

Comment 7 Robin Green 2017-02-06 19:49:33 UTC
Created attachment 1248138 [details]
File: maps

Comment 8 Robin Green 2017-02-06 19:49:35 UTC
Created attachment 1248139 [details]
File: mountinfo

Comment 9 Robin Green 2017-02-06 19:49:37 UTC
Created attachment 1248140 [details]
File: namespaces

Comment 10 Robin Green 2017-02-06 19:49:38 UTC
Created attachment 1248141 [details]
File: open_fds

Comment 11 Robin Green 2017-02-06 19:49:40 UTC
Created attachment 1248142 [details]
File: proc_pid_status

Comment 12 Robin Green 2017-02-06 19:49:41 UTC
Created attachment 1248143 [details]
File: var_log_messages

Comment 13 Clemens Eisserer 2017-03-07 15:10:38 UTC
Similar problem has been detected:

debugged an application using eclipse as a gdb frontend

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        gdb --interpreter mi2 --nx -q --interpreter console -ex 'new-ui mi /dev/pts/4' -ex 'set pagination off' -ex 'show version'
crash_function: dump_core
executable:     /usr/libexec/gdb
global_pid:     10647
kernel:         4.5.4-300.fc24.x86_64
package:        gdb-headless-7.12.1-46.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         gdb killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Clemens Eisserer 2017-03-07 15:22:56 UTC
Similar problem has been detected:

debugged app using eclipse frontend

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        gdb --interpreter mi2 --nx -q --interpreter console -ex 'new-ui mi /dev/pts/4' -ex 'set pagination off' -ex 'show version'
crash_function: dump_core
executable:     /usr/libexec/gdb
global_pid:     11098
kernel:         4.5.4-300.fc24.x86_64
package:        gdb-headless-7.12.1-46.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         gdb killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Clemens Eisserer 2017-03-15 16:36:40 UTC
Similar problem has been detected:

debugged openpowerlink using eclipse

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        gdb --interpreter mi2 --nx -q --interpreter console -ex 'new-ui mi /dev/pts/13' -ex 'set pagination off' -ex 'show version'
crash_function: dump_core
executable:     /usr/libexec/gdb
global_pid:     12762
kernel:         4.5.4-300.fc24.x86_64
package:        gdb-headless-7.12.1-47.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         gdb killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 16 Vedran Miletić 2017-04-10 18:19:40 UTC
Similar problem has been detected:

Debugging a problem in GROMACS, set breakpoint to xdr3dfcoord, and then record, and then fin. GDB crashes.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        gdb --args gmx mdrun -deffnm bd_verlet -debug 1
crash_function: dump_core
executable:     /usr/libexec/gdb
global_pid:     4233
kernel:         4.10.8-200.fc25.x86_64
package:        gdb-headless-7.12.1-47.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         gdb killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            7057

Comment 17 Evgeny 2017-08-08 14:27:30 UTC
*** Bug 1479424 has been marked as a duplicate of this bug. ***

Comment 18 Fedora End Of Life 2017-11-16 14:24:28 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 19 Fedora End Of Life 2017-12-12 10:28:17 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 20 Vedran Miletić 2018-01-08 16:17:56 UTC
Still happens in Fedora 27 gdb, tracked in bug 1492496.


Note You need to log in before you can comment on or make changes to this bug.